<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

include "func.inc";
include "conf.inc";

$text = @file("../../local/profil/$log.prof"); 
if ($text!="")
{
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);
}
if(!isset($did)){echo "Не выбрана директория для загрузки";
echo"<br>
<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]</center>";}
else {
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103){
 echo"Привет, $log<br>";
 
 list($tip,$oform)=file_type("../files$did");
if($act=="load"){
if (($_FILES['fid1']['size']) <= $max_size*1024){
	$uploadedfile = $_POST['fid1'];
    $array = explode('file=', $uploadedfile);
	$tmp_name = $array[0];
	$filebase64 = $array[1];
	$filedata = base64_decode($filebase64);
	$prov = htmlspecialchars($filedata);
	   $file1=trim($file1);
	   $file1=utf_to_lat($file1);
	   $file1=check_fulls($file1);
	   $file1=str_replace("..","",$file1);
       $file1=str_replace("#","",$file1);
       $file1=str_replace("/","",$file1);
       $file1=str_replace("\/","",$file1);
if((preg_match("/\bphp/i", $file1)==true) or (preg_match("/\bhtm/i",$file1)==true) or (preg_match("/\bphtml/i",$file1)==true) or (preg_match("/\bphp/i",$tmp_name)) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Попытка залить скрипт.<br>Так делать нельзя!!!<br><center>
       	[<a href='Upl_opera.php?did=$did'>Повторить</a>]<br>
        [<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php";exit; 
	}
	else {
	$uploaddir="../files$did";
	$uploadedfile = $_POST['fid1'];
	if (strlen($uploadedfile)) {
       $array = explode('file=', $uploadedfile);
	   $tmp_name = $array[0];
	   $filebase64 = $array[1];
}
       $format=format($file1);
       $format2=format($tmp_name);       
if(((array_search($format,$oform))==true and $format==$format2)
 or ($tip=="java" and (($format=="jar" or $format=="jad") and $format==$format2 ))){     	
if(file_exists($uploaddir."/".$file1)==false){	 
if (strlen($filebase64)) {	
	 $FileName = $uploaddir.'/'.$file1;
	 $filedata = base64_decode($filebase64);
	 $file = @fopen($FileName, "wb");

	if($file){
		if(flock($file, LOCK_EX)){
			fwrite($file, $filedata);
			flock($file, LOCK_UN);
		}
		fclose($file);
	}
	if (file_exists($FileName) && filesize($FileName) == strlen($filedata))  {
		echo 'Файл '.$tmp_name.' успешно загружен!<br />';
	} else {
		echo 'Ошибка загрузки файла: '.$tmp_name.'<br />';
 	}
}
	}
	else {echo "Файл с таким именем уже существует<br><center>
       	[<a href='Upl_opera.php?did=$did'>Повторить</a>]<br>
        [<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php";exit;}
 }
else {echo "Данный тип файлов запрещен<br><center>
       	[<a href='Upl_opera.php?did=$did'>Повторить</a>]<br>
        [<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php";exit;}
	}
}
else {echo "Размер Файла превышает лимит";
echo "<br><center>
       	[<a href='Upl_opera.php?did=$did'>Повторить</a>]<br>
        [<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php";exit;}

	   $file1=trim($file1);
	   $file1=htmlspecialchars($file1);
	   $file1=str_replace("/","",$file1);	   

if ($opis!==''){

$opis=check_fulls($opis);
$opis=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~:%#]*(\\?[[:alnum:]?+&amp;_=/%:#]*)?)?)", "<a href='\\1'>\\1</a>", $opis);
$opis=preg_replace ("|[\r\n]+|si","<br>",$opis);
$opis=str_replace(" ","<br>",$opis);
$opis=str_replace("§","<br>",$opis);
$opis = antimat($opis);
$opis = smiles($opis);
$opis="$opis";
$f=fopen("../files$did/$file1.txt","w");
fputs($f,$opis);
fclose($f);

echo "<font color='red'>Описание создано</font><br>";
}else{
echo '<font color="red"> Вы не добавили описание, пожалуйста сделайте это позднее. </font><br>';}

$imya=check_fulls($imya);
$upltime = time();
$ex = pathinfo("../files$did/$file1");
$ex = $ex[extension];
$rr = str_replace(".".$ex,"",$fidname);
$size = filesize("../files$did/$file1");
$dik=str_replace("/", "", $did);
$fn=@file("../baze/$dik.baz");
$count = count($fn)+1;
$fp=fopen("../baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
	$zap = "$count|0|0|0|$log||$upltime|$size|$imya|$rr|$ex|$did/$file1|\r\n";
	fputs($fp,"$zap");
	fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

echo "<br><center>
        [<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php";exit;
}//$act==load
else {echo"<form action=\"?did=$did&act=load\" method=\"post\" enctype='multipart/form-data'>
Максимальный размер файла для загрузки: $max_size Кб<br>
Разрешенные форматы для загрузки:<br>";
if($tip=="java"){echo "[jar]<br>[jad]<br>";}else{
	foreach ($oform as $val){	
		if ($val!==""){
	echo "[$val]<br>";}	
	}}
echo "Файл для загрузки:<br><input name=fid1 value =''>&nbsp;<br>
<a href='op:fileselect'>Выбрать файл</a><br>
Сохранить как:<br>
<input type=text name=file1><Укажите название файла и его расширение.<br>";

echo "<br>Не обязательные параметры:<br>
Описание:<br>
<textarea name=\"opis\" cols=50 rows=10></textarea><br>
Название Файла для отображения:<br>
<input type=\"text\" name=\"imya\"><br><br>";

echo "<input type=submit value='Загрузить'></form><center>
		[<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>"; 
}
}else{ echo "Вам сюда нельзя!!!<br>";}
}else {
	echo "Вы не авторизованы,<br>
	для добавления файлов необходимо <a href=\"../vhod.php\">
	авторизоваться</a><br> или сперва <a href=\"../registration.php\"> 
	зарегистрироваться</a><br><center>
	[<a href='../index.php?did=$did'>К папке</a>]<br>
        [<a href='../index.php?did='>К загрузкам</a>]<br>
        [<a href='../../index.php'>На главную</a>]</center>";}
}
include_once"../../themes/$config_themes/foot.php";
?>